<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.community.parkingveh.mapper.ParkingVehMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="parkingVehResultMap" type="org.springblade.community.parkingveh.entity.ParkingVeh">
        <id column="id" property="id"/>
        <result column="index_id" property="indexId"/>
        <result column="park_key" property="parkKey"/>
        <result column="veh_number" property="vehNumber"/>
        <result column="sentrybox_no" property="sentryboxNo"/>
        <result column="park_scale" property="parkScale"/>
        <result column="veh_type" property="vehType"/>
        <result column="veh_name" property="vehName"/>
        <result column="veh_ctrl_no" property="vehCtrlNo"/>
        <result column="veh_video_ip" property="vehVideoIp"/>
        <result column="veh_ctrl_ip" property="vehCtrlIp"/>
        <result column="veh_status" property="vehStatus"/>
        <result column="veh_point_a" property="vehPointA"/>
        <result column="veh_point_b" property="vehPointB"/>
        <result column="veh_point_c" property="vehPointC"/>
        <result column="veh_point_d" property="vehPointD"/>
        <result column="veh_key" property="vehKey"/>
        <result column="tenant_id" property="tenantId"/>
        <result column="residential_id" property="residentialId"/>
        <result column="inhabitant_id" property="inhabitantId"/>
    </resultMap>


    <select id="selectParkingVehPage" resultMap="parkingVehResultMap">
        select * from yc_parking_veh where is_deleted = 0
    </select>

</mapper>
